curl --request GET \
--url https://api.sandbox.tesouro.com/finops/v1/transactions \
--header 'Authorization: Bearer <token>' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/transactions"
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.sandbox.tesouro.com/finops/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"currency": "USD",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expense_status": "new",
"has_validation_errors": true,
"merchant_amount": 123,
"merchant_currency": "AED",
"merchant_location": "New York, US",
"merchant_name": "Acme Inc.",
"payment_method": {
"details": {
"brand": "visa",
"card_type": "credit",
"expiry_month": 6,
"expiry_year": 123,
"last4": 1234
},
"type": "card"
},
"started_at": "<string>",
"type": "capture",
"applied_policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"department_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"entity_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"ledger_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"no_receipt_reason": "<string>",
"partner_metadata": {},
"payment_processing_status": "created",
"receipt_file_url": "<string>",
"receipt_id": "<string>",
"reject_reason": "<string>",
"source_of_data": {
"department_id": "user",
"description": "user",
"ledger_account_id": "user",
"location_id": "user",
"receipt_id": "user"
}
}
],
"next_pagination_token": "<string>",
"prev_pagination_token": "<string>"
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Get transactions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Query Parameters
Filter transactions by validation errors. A transaction has validation errors when it is missing one or more fields required by the entity's TransactionValidation config (e.g. receipt_id, description). true — return only transactions with at least one missing required field. false — return only transactions where all required fields are present. Omit to return all transactions regardless of validation state.
Order by
asc, desc Max is 100
1 <= x <= 100A token, obtained from previous page. Prior over other filters
Allowed sort fields
created_at, updated_at, started_at, amount, merchant_amount, merchant_name, status, type, external_id Created after this datetime (exclusive)
Created before this datetime (exclusive)
Updated after this datetime (exclusive)
Updated before this datetime (exclusive)
Transaction started after this datetime (exclusive)
Transaction started before this datetime (exclusive)
One or multiple of the transaction statuses
created, processing, succeeded, declined, refunded, failed One or multiple of the transaction types
capture, refund, cash_withdrawal, fee, adjustment, reversal One or multiple of the entity users
One or multiple of the transaction external ids
Amount greater than (exclusive)
Amount less than (exclusive)
One or multiple of the transaction currencies
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HTG, HUF, IDR, ILS, INR, IQD, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SEK, SGD, SHP, SLE, SOS, SRD, SSP, SVC, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZAR, ZMW Merchant amount greater than (exclusive)
Merchant amount less than (exclusive)
One or multiple of the transaction merchant currencies
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HTG, HUF, IDR, ILS, INR, IQD, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SEK, SGD, SHP, SLE, SOS, SRD, SSP, SVC, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VND, VUV, WST, XAF, XCD, XOF, XPF, YER, ZAR, ZMW Partially matched merchant name
Payment method type of the transaction
card, bank_account One or multiple of the payment method types
card, bank_account Filter by expense status
new, approve_in_progress, approved, rejected, canceled, deleted One or multiple expense statuses
new, approve_in_progress, approved, rejected, canceled, deleted Filter by presence of a linked receipt. true — return only transactions that have a receipt attached. false — return only transactions without a receipt. Omit to return all transactions.
Response
Successful Response
A paginated list of transactions.
Show child attributes
Show child attributes
A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you've reached the last page).
A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you've reached the first page).
Was this page helpful?